Skip to main content
POST
/
v1
/
orgs
/
{org_id}
/
agents
/
{agent_id}
/
memories
Create Memory
curl --request POST \
  --url https://api.letpiper.com/v1/orgs/{org_id}/agents/{agent_id}/memories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "content": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "scope": "agent",
  "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required
agent_id
string<uuid>
required

Body

application/json

Request body for creating a memory.

content
string
required
Required string length: 1 - 2000

Response

Successful Response

Public representation of an agent memory.

id
string<uuid>
required
agent_id
string<uuid>
required
content
string
required
created_at
string<date-time>
required
run_id
string<uuid> | null
scope
string
default:agent
session_id
string<uuid> | null